/lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

 

      安装oracle 11.2.0.3时碰到这个问题:

   [oracle@d01dba1 database]$ ./runInstaller
./runInstaller: /root/database/install/.oui: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

 

[oracle@d01dba1 database]$ lsb_release -a
LSB Version:    :base-4.0-amd64:base-4.0-noarch:core-4.0-amd64:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-noarch:printing-4.0-amd64:printing-4.0-noarch
Distributor ID: OracleServer
Description:    Oracle Linux Server release 6.4
Release:        6.4
Codename:       n/a

 

     解决办法:

[root@d01dba1 Packages]# yum install ld-linux.so.2
Loaded plugins: security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package glibc.i686 0:2.12-1.107.el6_4.5 will be installed
--> Processing Dependency: libfreebl3.so for package: glibc-2.12-1.107.el6_4.5.i686
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.12-1.107.el6_4.5.i686
--> Running transaction check
---> Package nss-softokn-freebl.x86_64 0:3.12.9-11.el6 will be updated
---> Package nss-softokn-freebl.i686 0:3.14.3-3.el6_4 will be installed
---> Package nss-softokn-freebl.x86_64 0:3.14.3-3.el6_4 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================================
 Package                                        Arch                               Version                                          Repository                              Size
=================================================================================================================================================================================
Installing:
 glibc                                          i686                               2.12-1.107.el6_4.5                               ol6_latest                             4.3 M
Installing for dependencies:
 nss-softokn-freebl                             i686                               3.14.3-3.el6_4                                   ol6_latest                             128 k
Updating for dependencies:
 nss-softokn-freebl                             x86_64                             3.14.3-3.el6_4                                   ol6_latest                             138 k

Transaction Summary
=================================================================================================================================================================================
Install       2 Package(s)
Upgrade       1 Package(s)

Total download size: 4.6 M
Is this ok [y/N]: y
Is this ok [y/N]: y
Downloading Packages:
(1/3): glibc-2.12-1.107.el6_4.5.i686.rpm                                                                                                                  | 4.3 MB     00:09
(2/3): nss-softokn-freebl-3.14.3-3.el6_4.i686.rpm                                                                                                         | 128 kB     00:00
(3/3): nss-softokn-freebl-3.14.3-3.el6_4.x86_64.rpm                                                                                                       | 138 kB     00:00
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                            468 kB/s | 4.6 MB     00:10
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : glibc-2.12-1.107.el6_4.5.i686                                                                                                                                 1/4
  Installing : nss-softokn-freebl-3.14.3-3.el6_4.i686                                                                                                                        2/4
  Updating   : nss-softokn-freebl-3.14.3-3.el6_4.x86_64                                                                                                                      3/4
  Cleanup    : nss-softokn-freebl-3.12.9-11.el6.x86_64                                                                                                                       4/4
  Verifying  : nss-softokn-freebl-3.14.3-3.el6_4.x86_64                                                                                                                      1/4
  Verifying  : nss-softokn-freebl-3.14.3-3.el6_4.i686                                                                                                                        2/4
  Verifying  : glibc-2.12-1.107.el6_4.5.i686                                                                                                                                 3/4
  Verifying  : nss-softokn-freebl-3.12.9-11.el6.x86_64                                                                                                                       4/4

Installed:
  glibc.i686 0:2.12-1.107.el6_4.5

Dependency Installed:
  nss-softokn-freebl.i686 0:3.14.3-3.el6_4

Dependency Updated:
  nss-softokn-freebl.x86_64 0:3.14.3-3.el6_4

Complete!
[root@d01dba1 Packages]#

   再跑runInstaller:

[oracle@d01dba1 database]$  ./runInstaller
Starting Oracle Universal Installer...

Checking Temp space: must be greater than 120 MB.   Actual 12271 MB    Passed
Checking swap space: must be greater than 150 MB.   Actual 1631 MB    Passed
Checking monitor: must be configured to display at least 256 colors.    Actual 16777216    Passed
Preparing to launch Oracle Universal Installer from /tmp/OraInstall2013-10-21_06-22-03AM. Please wait ...[oracle@d01dba1 database]$ Exception in thread "main" java.lang.UnsatisfiedLinkError: /tmp/OraInstall2013-10-21_06-22-03AM/jdk/jre/lib/i386/xawt/libmawt.so: libXext.so.6: cannot open shared object file: No such file or directory

 

   缺包伤不起,继续装包

[root@d01dba1 Packages]#  ll | grep libXext
-rw-rw-r--. 1 root root    33820 Dec 21  2012 libXext-1.3.1-2.el6.i686.rpm
-rw-rw-r--. 1 root root    34148 Dec 21  2012 libXext-1.3.1-2.el6.x86_64.rpm
-rw-rw-r--. 1 root root    74984 Dec 21  2012 libXext-devel-1.3.1-2.el6.i686.rpm
-rw-rw-r--. 1 root root    74972 Dec 21  2012 libXext-devel-1.3.1-2.el6.x86_64.rpm
[root@d01dba1 Packages]#  yum install libXext*
Loaded plugins: security
Setting up Install Process
Examining libXext-1.3.1-2.el6.i686.rpm: libXext-1.3.1-2.el6.i686
Marking libXext-1.3.1-2.el6.i686.rpm to be installed
Examining libXext-1.3.1-2.el6.x86_64.rpm: libXext-1.3.1-2.el6.x86_64
libXext-1.3.1-2.el6.x86_64.rpm: does not update installed package.
Examining libXext-devel-1.3.1-2.el6.i686.rpm: libXext-devel-1.3.1-2.el6.i686
Marking libXext-devel-1.3.1-2.el6.i686.rpm to be installed
Examining libXext-devel-1.3.1-2.el6.x86_64.rpm: libXext-devel-1.3.1-2.el6.x86_64
Marking libXext-devel-1.3.1-2.el6.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package libXext.i686 0:1.3.1-2.el6 will be installed
--> Processing Dependency: libX11.so.6 for package: libXext-1.3.1-2.el6.i686
---> Package libXext-devel.i686 0:1.3.1-2.el6 will be installed
--> Processing Dependency: pkgconfig(x11) for package: libXext-devel-1.3.1-2.el6.i686
--> Processing Dependency: pkgconfig(xextproto) for package: libXext-devel-1.3.1-2.el6.i686
---> Package libXext-devel.x86_64 0:1.3.1-2.el6 will be installed
--> Running transaction check
---> Package libX11.i686 0:1.5.0-4.el6 will be installed
--> Processing Dependency: libxcb.so.1 for package: libX11-1.5.0-4.el6.i686
---> Package libX11-devel.x86_64 0:1.5.0-4.el6 will be installed
--> Processing Dependency: pkgconfig(xcb) >= 1.1.92 for package: libX11-devel-1.5.0-4.el6.x86_64
--> Processing Dependency: pkgconfig(xcb) for package: libX11-devel-1.5.0-4.el6.x86_64
---> Package xorg-x11-proto-devel.noarch 0:7.6-25.el6 will be installed
--> Running transaction check
---> Package libxcb.i686 0:1.8.1-1.el6 will be installed
--> Processing Dependency: libXau.so.6 for package: libxcb-1.8.1-1.el6.i686
---> Package libxcb-devel.x86_64 0:1.8.1-1.el6 will be installed
--> Processing Dependency: pkgconfig(xau) >= 0.99.2 for package: libxcb-devel-1.8.1-1.el6.x86_64
--> Running transaction check
---> Package libXau.i686 0:1.0.6-4.el6 will be installed
---> Package libXau-devel.x86_64 0:1.0.6-4.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================================
 Package                                      Arch                           Version                             Repository                                                 Size
=================================================================================================================================================================================
Installing:
 libXext                                      i686                           1.3.1-2.el6                         /libXext-1.3.1-2.el6.i686                                  78 k
 libXext-devel                                i686                           1.3.1-2.el6                         /libXext-devel-1.3.1-2.el6.i686                            99 k
 libXext-devel                                x86_64                         1.3.1-2.el6                         /libXext-devel-1.3.1-2.el6.x86_64                          99 k
Installing for dependencies:
 libX11                                       i686                           1.5.0-4.el6                         ol6_latest                                                590 k
 libX11-devel                                 x86_64                         1.5.0-4.el6                         ol6_latest                                                1.0 M
 libXau                                       i686                           1.0.6-4.el6                         ol6_latest                                                 24 k
 libXau-devel                                 x86_64                         1.0.6-4.el6                         ol6_latest                                                 13 k
 libxcb                                       i686                           1.8.1-1.el6                         ol6_latest                                                114 k
 libxcb-devel                                 x86_64                         1.8.1-1.el6                         ol6_latest                                                174 k
 xorg-x11-proto-devel                         noarch                         7.6-25.el6                          ol6_latest                                                274 k

Transaction Summary
=================================================================================================================================================================================
Install      10 Package(s)

Total size: 2.4 M
Total download size: 2.2 M
Installed size: 7.2 M
Is this ok [y/N]: y
Downloading Packages:
(1/7): libX11-1.5.0-4.el6.i686.rpm                                                                                                                        | 590 kB     00:01
(2/7): libX11-devel-1.5.0-4.el6.x86_64.rpm                                                                                                                | 1.0 MB     00:02
(3/7): libXau-1.0.6-4.el6.i686.rpm                                                                                                                        |  24 kB     00:00
(4/7): libXau-devel-1.0.6-4.el6.x86_64.rpm                                                                                                                |  13 kB     00:00
(5/7): libxcb-1.8.1-1.el6.i686.rpm                                                                                                                        | 114 kB     00:00
(6/7): libxcb-devel-1.8.1-1.el6.x86_64.rpm                                                                                                                | 174 kB     00:00
(7/7): xorg-x11-proto-devel-7.6-25.el6.noarch.rpm                                                                                                         | 274 kB     00:00
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                            359 kB/s | 2.2 MB     00:06
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : xorg-x11-proto-devel-7.6-25.el6.noarch                                                                                                                       1/10
  Installing : libXau-1.0.6-4.el6.i686                                                                                                                                      2/10
  Installing : libXau-devel-1.0.6-4.el6.x86_64                                                                                                                              3/10
  Installing : libxcb-1.8.1-1.el6.i686                                                                                                                                      4/10
  Installing : libxcb-devel-1.8.1-1.el6.x86_64                                                                                                                              5/10
  Installing : libX11-1.5.0-4.el6.i686                                                                                                                                      6/10
  Installing : libX11-devel-1.5.0-4.el6.x86_64                                                                                                                              7/10
  Installing : libXext-1.3.1-2.el6.i686                                                                                                                                     8/10
  Installing : libXext-devel-1.3.1-2.el6.x86_64                                                                                                                             9/10
  Installing : libXext-devel-1.3.1-2.el6.i686                                                                                                                              10/10
  Verifying  : libX11-1.5.0-4.el6.i686                                                                                                                                      1/10
  Verifying  : libXext-1.3.1-2.el6.i686                                                                                                                                     2/10
  Verifying  : libxcb-1.8.1-1.el6.i686                                                                                                                                      3/10
  Verifying  : libXau-devel-1.0.6-4.el6.x86_64                                                                                                                              4/10
  Verifying  : libXau-1.0.6-4.el6.i686                                                                                                                                      5/10
  Verifying  : libxcb-devel-1.8.1-1.el6.x86_64                                                                                                                              6/10
  Verifying  : libXext-devel-1.3.1-2.el6.x86_64                                                                                                                             7/10
  Verifying  : xorg-x11-proto-devel-7.6-25.el6.noarch                                                                                                                       8/10
  Verifying  : libXext-devel-1.3.1-2.el6.i686                                                                                                                               9/10
  Verifying  : libX11-devel-1.5.0-4.el6.x86_64                                                                                                                             10/10

Installed:
  libXext.i686 0:1.3.1-2.el6                            libXext-devel.i686 0:1.3.1-2.el6                            libXext-devel.x86_64 0:1.3.1-2.el6

Dependency Installed:
  libX11.i686 0:1.5.0-4.el6            libX11-devel.x86_64 0:1.5.0-4.el6           libXau.i686 0:1.0.6-4.el6    libXau-devel.x86_64 0:1.0.6-4.el6    libxcb.i686 0:1.8.1-1.el6
  libxcb-devel.x86_64 0:1.8.1-1.el6    xorg-x11-proto-devel.noarch 0:7.6-25.el6

Complete!
[root@d01dba1 Packages]#

 

阅读更多
想对作者说点什么?

博主推荐

换一批

没有更多推荐了,返回首页